#
# spec file for package kdemultimedia4
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with ffmpeg

Name:           kdemultimedia4
%if %{with ffmpeg}
BuildRequires:  libffmpeg-devel
%endif
BuildRequires:  libkde4-devel
BuildRequires:  libknotificationitem-devel
%if %suse_version > 1200
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libmusicbrainz3)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbis)
%else
BuildRequires:  flac-devel
BuildRequires:  libao-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libmusicbrainz3-devel
BuildRequires:  libpulse-devel
BuildRequires:  libtheora-devel
BuildRequires:  libtunepimp-devel
BuildRequires:  libvorbis-devel
BuildRequires:  speex-devel
BuildRequires:  taglib-devel
BuildRequires:  taglib-devel
%endif
BuildRequires:  cdparanoia-devel
BuildRequires:  gstreamer010-devel
BuildRequires:  gstreamer010-plugins-base-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libtunepimp-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(libxine)
Version:        4.8.4
Release:        4.3
Summary:        Base package for KDE multimedia applications
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kdemultimedia-%{version}.tar.xz
Patch1:         kmix-autostart_122.diff
Patch2:         kdemultimedia4-4.8.3-ffmpeg_011.patch
Suggests:       juk
Suggests:       kio_audiocd
Suggests:       kmix
Suggests:       kscd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0
Suggests:       phonon_gst
Suggests:       phonon_xine
%endif
%kde4_runtime_requires

%description
This package suggests the packages which are built from the
kdemultimedia module.

%prep
%setup -q -n kdemultimedia-%{version}
%patch1
%patch2

FAKE_BUILDDATE=$(LC_ALL=C date -r %{_sourcedir}/%{name}.changes '+%b %e %Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" libkcompactdisc/wmlib/wm_helpers.c

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %make_install
  ls
  %create_subdir_filelist -d kioslave -v kioslave.devel
  %create_subdir_filelist -d kscd
  %create_subdir_filelist -d libkcompactdisc -v libkcompactdisc.devel
  %create_subdir_filelist -d juk
  %create_subdir_filelist -d kmix
  %create_subdir_filelist -d dragonplayer
  %create_subdir_filelist -d libkcddb -v libkcddb.devel
  cd ..
  %create_exclude_filelist
  %suse_update_desktop_file kmix           AudioVideo Mixer
  %suse_update_desktop_file kscd           AudioVideo Player CD
  %suse_update_desktop_file juk            AudioVideo Player
  %suse_update_desktop_file dragonplayer   Video
  %kde_post_install

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}
  rm -rf filelists

%package -n dragonplayer
Summary:        Multimedia Player
Group:          Productivity/Multimedia/Video/Players
Url:            http://dragonplayer.org/
%kde4_runtime_requires

%description -n dragonplayer
Dragon Player is a simple KDE 4 video player.

%post -n dragonplayer -p /sbin/ldconfig

%postun -n dragonplayer -p /sbin/ldconfig

%files -n dragonplayer -f filelists/dragonplayer
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %{_kde4_appsdir}/solid
%dir %{_kde4_appsdir}/solid/actions

%package -n juk
Summary:        Jukebox
Group:          Productivity/Multimedia/Sound/Players
Provides:       kde4-juk = 4.3.0
Obsoletes:      kde4-juk < 4.3.0
%kde4_runtime_requires

%description -n juk
Jukebox and music manager for KDE

%post   -n juk -p /sbin/ldconfig

%postun -n juk -p /sbin/ldconfig

%files -n juk -f filelists/juk
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kmix
Summary:        Sound Mixer
Group:          Productivity/Multimedia/Sound/Mixers
Provides:       kde4-kmix = 4.3.0
Obsoletes:      kde4-kmix < 4.3.0
%kde4_runtime_requires

%description -n kmix
KDE's full featured mini mixer

%post   -n kmix -p /sbin/ldconfig

%postun -n kmix -p /sbin/ldconfig

%files -n kmix -f filelists/kmix
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kscd
Summary:        CD Player
Group:          Productivity/Multimedia/CD/Players
Requires:       libkcddb4 = %{version}
Requires:       libkcompactdisc4 = %{version}
Provides:       kde4-kscd = 4.3.0
Obsoletes:      kde4-kscd < 4.3.0
%kde4_runtime_requires
%requires_ge    libqt4-x11

%description -n kscd
KDE's CD Player

%post   -n kscd -p /sbin/ldconfig

%postun -n kscd -p /sbin/ldconfig

%files -n kscd -f filelists/kscd
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %{_kde4_appsdir}/solid
%dir %{_kde4_appsdir}/solid/actions

%package -n kio_audiocd
Summary:        KDE I/O Slave for Audio CDs
Group:          System/GUI/KDE
Requires:       libkcddb4 = %{version}
Requires:       libkcompactdisc4 = %{version}
Provides:       kde4-kio_audiocd = 4.3.0
Obsoletes:      kde4-kio_audiocd < 4.3.0
%kde4_runtime_requires

%description -n kio_audiocd
This package contains an KIO slave to access audio CDs.

%post   -n kio_audiocd -p /sbin/ldconfig

%postun -n kio_audiocd -p /sbin/ldconfig

%files -n kio_audiocd -f filelists/kioslave
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kio_audiocd-devel
Summary:        KDE I/O Slave for Audio CDs: Build Environment
Group:          Development/Libraries/KDE
Requires:       kio_audiocd = %{version}
Requires:       libkde4-devel

%description -n kio_audiocd-devel
This package includes the development headers for kio_audiocd.

%files -n kio_audiocd-devel -f filelists/kioslave.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n libkcddb4
Summary:        KDE CDDB Library
Group:          System/GUI/KDE

%description -n libkcddb4
A library for retrieving and sending cddb information

%post   -n libkcddb4 -p /sbin/ldconfig

%postun -n libkcddb4 -p /sbin/ldconfig

%files -n libkcddb4 -f filelists/libkcddb
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%doc %lang(en) %{_kde4_htmldir}/en/kcontrol/cddbretrieval
%dir %lang(en) %{_kde4_htmldir}/en/kcontrol

%package -n libkcddb4-devel
Summary:        KDE CDDB Library: Build Environment
Group:          Development/Libraries/KDE
Requires:       libkcddb4 = %{version}
Requires:       libkde4-devel

%description -n libkcddb4-devel
This package includes the development headers for libkcddb.

%files -n libkcddb4-devel -f filelists/libkcddb.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %{_includedir}/libkcddb

%package -n libkcompactdisc4
Summary:        KDE CD Library
Group:          System/GUI/KDE
%requires_ge    libqt4-x11

%description -n libkcompactdisc4
libworkman is a multi-plaform CD-Player library for creating various
CD-Player-UIs.

%post   -n libkcompactdisc4 -p /sbin/ldconfig

%postun -n libkcompactdisc4 -p /sbin/ldconfig

%files -n libkcompactdisc4 -f filelists/libkcompactdisc
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n libkcompactdisc4-devel
Summary:        KDE CD Library: Build Environment
Group:          Development/Libraries/KDE
Requires:       libkcompactdisc4 = %{version}
Requires:       libkde4-devel

%description -n libkcompactdisc4-devel
This package contains the development headers for the libkcompactdisc.

%files -n libkcompactdisc4-devel -f filelists/libkcompactdisc.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%dir %{_includedir}/libkcompactdisc

%package thumbnailers
Summary:        KDE thumbnails for multimedia files
Group:          System/GUI/KDE
Obsoletes:      kdemultimedia4 < %{version}
Provides:       kdemultimedia4 = %{version}
%kde4_runtime_requires

%description thumbnailers
This package allows KDE file browsers and other programs to show
thumbnails of multimedia files.

%files thumbnailers
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_kde4_bindir}/mplayerthumbsconfig
%{_kde4_configkcfgdir}/mplayerthumbs.kcfg
%{_kde4_modulesdir}/videopreview.so
%{_kde4_appsdir}/videothumbnail
%{_kde4_servicesdir}/videopreview.desktop
%if %{with ffmpeg}
%{_kde4_modulesdir}/ffmpegthumbs.so
%{_kde4_servicesdir}/ffmpegthumbs.desktop
%endif

%changelog
* Sun Dec 18 2011 cs@linux-administrator.com
- re-import
